Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Typedefs
mutex.h File Reference
`#include <botan/types.h>`

Go to the source code of this file.

## Classes
class | Botan::lock_guard< Mutex >
class | Botan::noop_mutex

## Namespaces
namespace | Botan

## Typedefs
template<typename T >
using | Botan::lock_guard_type = lock_guard< T >
typedef noop_mutex | Botan::mutex_type
typedef noop_mutex | Botan::recursive_mutex_type